Listar cartões
curl --request GET \
--url https://api.notifique.dev/v1/platform/workspaces/{id}/payment-methods \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/platform/workspaces/{id}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/platform/workspaces/{id}/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/platform/workspaces/{id}/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "pm_01H...",
"brand": "VISA",
"last4": "4242",
"expMonth": 12,
"expYear": 2028,
"isDefault": true
}
]
}{
"success": false,
"code": "FORBIDDEN"
}Billing
Listar cartões
Cartões tokenizados no provedor de pagamento. Escopo billing:read.
GET
/
v1
/
platform
/
workspaces
/
{id}
/
payment-methods
Listar cartões
curl --request GET \
--url https://api.notifique.dev/v1/platform/workspaces/{id}/payment-methods \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/platform/workspaces/{id}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/platform/workspaces/{id}/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/platform/workspaces/{id}/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "pm_01H...",
"brand": "VISA",
"last4": "4242",
"expMonth": 12,
"expYear": 2028,
"isDefault": true
}
]
}{
"success": false,
"code": "FORBIDDEN"
}Esta página foi útil?

